> ## Documentation Index
> Fetch the complete documentation index at: https://pentest-tools.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get finding tests by ID

> Get all tests associated with a finding.



## OpenAPI

````yaml https://app.pentest-tools.com/api-schema.yml get /findings/{id}/tests
openapi: 3.0.3
info:
  title: pentest-tools.com REST API
  version: 1.0.1.1
servers:
  - url: https://app.pentest-tools.com/api/v2
security:
  - bearerAuth: []
tags:
  - name: targets
    x-displayName: Targets
    description: Operations done on Targets
  - name: scans
    x-displayName: Scans
    description: Operations done on Scans
  - name: workspaces
    x-displayName: Workspaces
    description: Operations done on Workspaces
  - name: http_loggers
    x-displayName: HTTP Loggers
    description: Operations done on HTTP Loggers
  - name: wordlists
    x-displayName: Wordlists
    description: Operations done on Wordlists
  - name: finding_templates
    x-displayName: Finding Templates
    description: Operations done on Finding Templates
  - name: vpn_profiles
    x-displayName: VPN Profiles
    description: Operations done on VPN Profiles
  - name: findings
    x-displayName: Findings
    description: Operations done on Findings
  - name: reports
    x-displayName: Reports
    description: Operations done on Reports
paths:
  /findings/{id}/tests:
    parameters:
      - name: id
        in: path
        description: id of finding
        required: true
        schema:
          type: integer
    get:
      tags:
        - findings
      summary: Get finding tests by ID
      description: Get all tests associated with a finding.
      operationId: get_finding_tests
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Test'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          description: Finding not found, or no tests for this finding
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '406':
          description: Finding tests are not available for discovery tools
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          $ref: '#/components/responses/TooManyRequestsError'
        '500':
          description: Internal server error
components:
  schemas:
    Test:
      type: object
      properties:
        id:
          type: integer
          nullable: true
          example: 1
        uid:
          type: string
          description: Unique identifier of the test
          example: NETSCAN-SNIPER-TESTED-MODULES
        description:
          type: string
          example: Scanned for vulnerabilities using Sniper modules
        resource_type:
          type: string
          enum:
            - scan
            - finding
          description: The resource type associated with the test
          example: finding
        resource_id:
          type: integer
          nullable: true
          description: The ID of the resource associated with the test
          example: 2
        metadata:
          $ref: '#/components/schemas/TestMetadata'
        performed_at:
          type: string
          format: date-time
          example: '2026-01-01 12:00:00'
    ErrorResponse:
      type: object
      additionalProperties: false
      properties:
        status:
          type: integer
          example: 401
        message:
          type: string
          example: No API key specified
    TestMetadata:
      type: object
      properties:
        port:
          type: integer
          nullable: true
          description: The port where this was found on the target
          example: 4445
        sniper_modules:
          type: array
          items:
            type: string
          description: The Sniper modules tested against the service
          example:
            - SSH AUTHENTICATED SCAN
            - SSH user enumeration (CVE-2018-15473)
  responses:
    UnauthorizedError:
      description: API key is missing or invalid
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenError:
      description: You can"t perform this action.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    TooManyRequestsError:
      description: Too many requests made in a short period of time
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Use the "API key" from the [profile
        page](https://app.pentest-tools.com/account/api) as the token

````